<?php

namespace NoccyLabs\InteractiveShell\Command\Commands;

use NoccyLabs\InteractiveShell\Command\ShellCommand;
use NoccyLabs\InteractiveShell\Context\ShellContext;

class QuitCommand extends ShellCommand
{
    protected function build(): void
    {
        $this->setCommandName("quit");
        $this->setDescription("Exit the shell");
    }

    public function invoke(array $args, ShellContext $context)
    {
        $context->getShell()->exitShell();        
    }
}