<?php

namespace NoccyLabs\InteractiveShell\Option\Type;

class AnyType extends AbstractType
{
    public function getType(): string
    {   return "any"; }

    public function castFromStringValue(string $value): mixed
    {
        if (is_numeric($value)) {
            return is_float($value) ? floatval($value) : intval($value);
        }
        return strval($value);
    }

    public function castToPrintable(mixed $value): string
    {
        return strval($value);
    }
}

