<?php

namespace NoccyLabs\InteractiveShell\Option\Type;

class BooleanType extends AbstractType
{
    public function getType(): string
    {   return "bool"; }

    public function castFromStringValue(string $value): mixed
    {
        return ($value=='true');
    }

    public function castToPrintable(mixed $value): string
    {
        return $value?"true":"false";
    }
}

