<?php

namespace NoccyLabs\InteractiveShell\Option\Type;

class FloatType extends AbstractType
{
    public int $precision = 3;

    public function getType(): string
    {   return "float({$this->precision})"; }
 
    public function castFromStringValue(string $value): mixed
    {
        return floatval($value);
    }

    public function castToPrintable(mixed $value): string
    {
        return strval(round($value,$this->precision));
    }
}

