<?php

namespace NoccyLabs\InteractiveShell\Option\Type;

class StringType extends AbstractType
{

    public function getType(): string
    {   return "string"; }

    public function castFromStringValue(string $value): mixed
    {
        return strval($value);
    }

    public function castToPrintable(mixed $value): string
    {
        return strval($value);
    }
}

