<?php

namespace NoccyLabs\InteractiveShell\Option\Type;

class IntegerType extends AbstractType
{
    public function getType(): string
    {   return "int"; }

    public function castFromStringValue(string $value): mixed
    {
        return intval($value);
    }

    public function castToPrintable(mixed $value): string
    {
        return strval($value);
    }
}

